import tkinter as tk


def ConversionCmPx(long_cm, ecart_max_px, ecart_max_cm):
    return (long_cm*ecart_max_px)/ecart_max_cm



fenetre = tk.Tk()

larg_caneva = 900
haut_caneva = 700
marge = 50
echelleX = 8
echelleY = 3
haut_graduation = 3
decalage_txt = 10
origine_x = marge
origine_y = haut_caneva - marge
fin_x = larg_caneva - marge
fin_y = marge

frame_canevas = tk.Frame(fenetre)
frame_canevas.pack(side = 'left')

canv = tk.Canvas(frame_canevas, bg="white", height=haut_caneva, width=larg_caneva)
canv.pack()

# axe des abscisses et graduations de 0 à 8
canv.create_line(origine_x, origine_y, fin_x, origine_y, fill="black", width=1)
for i in range(echelleX+1):
    posx = ConversionCmPx(i,larg_caneva-2*marge,echelleX )
    canv.create_line(origine_x+posx, origine_y-haut_graduation, origine_x+posx, origine_y+haut_graduation, fill="black", width=1)
    canv.create_text(origine_x+posx, origine_y+decalage_txt, text=i)
canv.create_text(fin_x-100, origine_y+3*decalage_txt, anchor="w", text="Longueur pétale (cm)")

# axe des ordonnées et graduations de 0 à 3
canv.create_line(origine_x, origine_y, origine_x, fin_y, fill="black", width=1)
for i in range(echelleY+1):
    posy = ConversionCmPx(i,haut_caneva-2*marge,echelleY )
    canv.create_line(origine_x-haut_graduation, origine_y-posy, origine_x+haut_graduation, origine_y-posy, fill="black", width=1)
    canv.create_text(origine_x-haut_graduation-decalage_txt, origine_y-posy, text=i)
canv.create_text(decalage_txt, fin_y-3*decalage_txt, anchor="w", text="Largeur pétale (cm)")


fenetre.mainloop()